> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Withdrawals

> Retrieve all withdrawals



## OpenAPI

````yaml /api-reference/openapi.json get /payments/withdrawals
openapi: 3.0.0
info:
  title: BREET PUBLIC API
  version: 1.0.0
  license:
    name: Proprietary
    url: https://breet.io/terms
servers:
  - url: https://api.breet.io/v1
security:
  - appId: []
    appSecret: []
    breetEnv: []
tags:
  - name: Crypto Wallet
    description: Generate and manage crypto wallet addresses for receiving deposits.
    x-group: Wallets and Deposits
  - name: Withdrawals
    description: >-
      ## Withdrawals


      To help protect your funds, withdrawals support an additional security
      layer through **IP whitelisting**.


      ### IP Whitelisting


      When IP whitelisting is enabled, all withdrawal requests must originate
      from an approved IP address. Any withdrawal request coming from an IP not
      on the whitelist will be automatically blocked.


      You can add up to **7 IP addresses** from your dashboard.


      This feature is recommended for:


      - Production servers
          
      - Preventing unauthorized withdrawal attempts
          

      ### How it works


      - Enable IP whitelisting from your dashboard
          
      - Add up to 7 trusted IP addresses
          
      - Only requests from those IPs will be allowed to initiate withdrawals
          

      If IP whitelisting is disabled, withdrawals can be initiated from any IP
      address.
  - name: Banks
    description: List, validate, add, and remove bank accounts for fiat withdrawals.
  - name: Transactions
    description: Retrieve deposit and trade transaction history.
  - name: Webhooks
    description: >-
      Inspect and retry **outgoing** webhooks we send to your server (trade and
      withdrawal events). Requires an active integration with API access (VIP
      partners). For **incoming** payload shapes and verification, see the
      Webhooks guide in the Guides tab.
  - name: Assets
    description: >-
      Retrieve the list of supported deposit/sell assets and their
      configuration.
  - name: Rates and Prices
    description: >-
      Get live market prices and calculate conversion rates. These endpoints are
      public and do not require authentication.
  - name: Account
    description: Retrieve and update integration account details and preferences.
  - name: Testing
    description: Endpoints for testing your integration in development.
  - name: Conversion
    description: >-
      Convert between USD and local fiat (NGN | GHS). Available for both user
      and integration (business) flows.
  - name: Wallet addresses
    description: >-
      Add and remove withdrawal (payout) wallet addresses. If the same address,
      network, and token are sent with a different label, the existing address
      is updated.
paths:
  /payments/withdrawals:
    get:
      tags:
        - Withdrawals
      summary: Fetch Withdrawals
      description: Retrieve all withdrawals
      operationId: fetchWithdrawals
      parameters:
        - name: page
          in: query
          schema:
            type: integer
          example: 1
          description: Page number (1-indexed)
        - name: size
          in: query
          schema:
            type: integer
          example: 10
          description: Number of items per page
      responses:
        '200':
          description: List of withdrawals returned successfully
          content:
            application/json:
              example:
                message: data fetched
                success: true
                data:
                  - id: 6972542dda40dd734b858946
                    amount: 10
                    originalAmount: 10
                    currency: usd
                    status: pending
                    reference: 6972542dda40dd734b858946
                    externalId: your-unique-ref
                    fee: 10
                    meta:
                      walletAddress: 14grJpemFaf88c8tiVb77W7TYg2W3ir6pfkKz3YjhhZ5
                      network: SOL
                      token: USDT
                      assetId: SOL_USDT_EWAY
                      type: address
                      symbol: USDT
                      avatar: >-
                        https://assets.breet.io/token-network-assets/USDT_SOL.png
                      label: ''
                      txLink: https://solscan.io/tx/
                    reason: ''
                    createdAt: '2026-01-22T16:45:33.909Z'
                    updatedAt: '2026-01-22T16:45:33.909Z'
                  - id: 697251ed397a53d0cb7b228b
                    amount: 25
                    originalAmount: 25
                    currency: usd
                    status: pending
                    reference: 697251ed397a53d0cb7b228b
                    externalId: your-unique-ref
                    fee: 10
                    meta:
                      walletAddress: 14grJpemFaf88c8tiVb77W7TYg2W3ir6pfkKz3YjhhZ5
                      network: SOL
                      token: USDT
                      assetId: SOL_USDT_EWAY
                      type: address
                      symbol: USDT
                      avatar: >-
                        https://assets.breet.io/token-network-assets/USDT_SOL.png
                      label: ''
                      txLink: https://solscan.io/tx/
                    reason: ''
                    createdAt: '2026-01-22T16:35:57.875Z'
                    updatedAt: '2026-01-22T16:35:57.875Z'
                  - id: 6972516dceb5378068738fca
                    amount: 50
                    originalAmount: 50
                    currency: usd
                    status: pending
                    reference: 6972516dceb5378068738fca
                    fee: 10
                    meta:
                      walletAddress: 14grJpemFaf88c8tiVb77W7TYg2W3ir6pfkKz3YjhhZ5
                      network: SOL
                      token: USDT
                      assetId: SOL_USDT_EWAY
                      type: address
                      symbol: USDT
                      avatar: >-
                        https://assets.breet.io/token-network-assets/USDT_SOL.png
                      label: ''
                      txLink: https://solscan.io/tx/
                    reason: ''
                    createdAt: '2026-01-22T16:33:50.263Z'
                    updatedAt: '2026-01-22T16:33:50.263Z'
                  - id: 696e55920cb40dd4e32cb7de
                    amount: 178695
                    originalAmount: 178695
                    payoutAmount: 178645
                    currency: ngn
                    status: pending
                    reference: 696e55920cb40dd4e32cb7de
                    trade: 696e5590dd13b3647ca56704
                    meta:
                      type: nuban
                      bankId: '25'
                      bankName: OPay - Paycom
                      accountName: CHIROMA AHMED OLABANJI
                      account: 67b7aa056ea7a058534bf404
                      accountNumber: '8029201214'
                      autoSettlement: false
                      narration: Breet payout account
                      fee: 50
                    reason: ''
                    createdAt: '2026-01-19T16:02:26.728Z'
                    updatedAt: '2026-01-19T16:02:26.728Z'
                  - id: 696ac80f69bd4f47872d9dff
                    amount: 89397
                    originalAmount: 89347
                    currency: ngn
                    status: pending
                    reference: 696ac80f69bd4f47872d9dff
                    trade: 696ac80edd13b3647c845c54
                    meta:
                      type: nuban
                      bankId: '25'
                      bankName: OPay - Paycom
                      accountName: CHIROMA AHMED OLABANJI
                      account: 67b7aa056ea7a058534bf404
                      accountNumber: '8029201214'
                      autoSettlement: false
                      narration: Breet payout account
                      fee: 50
                    reason: ''
                    createdAt: '2026-01-16T23:21:52.473Z'
                    updatedAt: '2026-01-16T23:21:52.473Z'
                  - id: 696ac5e2957c6010340cadfb
                    amount: 893525
                    originalAmount: 893475
                    currency: ngn
                    status: pending
                    reference: 696ac5e2957c6010340cadfb
                    trade: 696ac5e0dd13b3647c813c81
                    meta:
                      type: nuban
                      bankId: '25'
                      bankName: OPay - Paycom
                      accountName: CHIROMA AHMED OLABANJI
                      account: 67b7aa056ea7a058534bf404
                      accountNumber: '8029201214'
                      autoSettlement: false
                      narration: Breet payout account
                      fee: 50
                    reason: ''
                    createdAt: '2026-01-16T23:12:35.142Z'
                    updatedAt: '2026-01-16T23:12:35.142Z'
                  - id: 696ac402957c6010340cadfa
                    amount: 893525
                    originalAmount: 893475
                    currency: ngn
                    status: pending
                    reference: 696ac402957c6010340cadfa
                    trade: 696ac400dd13b3647c7eaab1
                    meta:
                      type: nuban
                      bankId: '25'
                      bankName: OPay - Paycom
                      accountName: CHIROMA AHMED OLABANJI
                      account: 67b7aa056ea7a058534bf404
                      accountNumber: '8029201214'
                      autoSettlement: false
                      narration: Breet payout account
                      fee: 50
                    reason: ''
                    createdAt: '2026-01-16T23:04:35.491Z'
                    updatedAt: '2026-01-16T23:04:35.491Z'
                  - id: 696ac000957c6010340cadf9
                    amount: 893525
                    originalAmount: 893475
                    currency: ngn
                    status: pending
                    reference: 696ac000957c6010340cadf9
                    trade: 696abffedd13b3647c78c36d
                    meta:
                      type: nuban
                      bankId: '25'
                      bankName: OPay - Paycom
                      accountName: CHIROMA AHMED OLABANJI
                      account: 67b7aa056ea7a058534bf404
                      accountNumber: '8029201214'
                      autoSettlement: false
                      narration: Breet payout account
                      fee: 50
                    reason: ''
                    createdAt: '2026-01-16T22:47:29.082Z'
                    updatedAt: '2026-01-16T22:47:29.082Z'
                  - id: 696902ae8b4efb0e2ad77b6f
                    amount: 50
                    originalAmount: 50
                    currency: usd
                    status: pending
                    reference: 696902ae8b4efb0e2ad77b6f
                    fee: 10
                    meta:
                      walletAddress: 14grJpemFaf88c8tiVb77W7TYg2W3ir6pfkKz3YjhhZ5
                      network: SOL
                      token: USDT
                      assetId: SOL_USDT_EWAY
                      type: address
                      symbol: USDT
                      avatar: >-
                        https://assets.breet.io/token-network-assets/USDT_SOL.png
                      label: ''
                      txLink: https://solscan.io/tx/
                    reason: ''
                    createdAt: '2026-01-15T15:07:27.297Z'
                    updatedAt: '2026-01-15T15:07:27.297Z'
                  - id: 6968fb867a17796b0000ba60
                    amount: 100
                    originalAmount: 100
                    currency: usd
                    status: pending
                    reference: 6968fb867a17796b0000ba60
                    fee: 10
                    meta:
                      walletAddress: 14grJpemFaf88c8tiVb77W7TYg2W3ir6pfkKz3YjhhZ5
                      network: SOL
                      token: USDT
                      assetId: SOL_USDT_EWAY
                      type: address
                      symbol: USDT
                      avatar: >-
                        https://assets.breet.io/token-network-assets/USDT_SOL.png
                      label: ''
                      txLink: https://solscan.io/tx/
                    reason: ''
                    createdAt: '2026-01-15T14:36:54.677Z'
                    updatedAt: '2026-01-15T14:36:54.677Z'
                meta:
                  pages: 2
                  prevPage: null
                  nextPage: 2
                  page: 1
                  totalDocs: 12
                  hasPrevPage: false
                  hasNextPage: true
                summary: {}
                stats: {}
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  responses:
    Unauthorized:
      description: Invalid or missing API credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            notAuthenticated:
              summary: Missing credentials
              value:
                success: false
                message: you're not authenticated
                meta: {}
                errors: []
                data: {}
            wrongCredentials:
              summary: Invalid app ID or secret
              value:
                success: false
                message: wrong app id and secret combination
                meta: {}
                errors: []
                data: {}
    InternalServerError:
      description: An unexpected server error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: something went wrong!
            meta: {}
            errors: []
            data: {}
  schemas:
    ErrorResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          enum:
            - false
        message:
          type: string
        meta:
          type: object
        errors:
          type: array
          items:
            type: object
        data:
          type: object
  securitySchemes:
    appId:
      type: apiKey
      in: header
      name: x-app-id
      description: Your application ID from the Breet dashboard
    appSecret:
      type: apiKey
      in: header
      name: x-app-secret
      description: Your application secret from the Breet dashboard
    breetEnv:
      type: apiKey
      in: header
      name: X-Breet-Env
      description: 'Environment selector: development or production'

````